package com.liu.demo.config;

import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.NoArgsConstructor;
import org.springframework.boot.autoconfigure.AutoConfiguration;
import org.springframework.boot.autoconfigure.condition.ConditionalOnProperty;
import org.springframework.boot.context.properties.ConfigurationProperties;

import java.util.Set;

/**
 * 日志配置
 *
 * @author gdLiu
 * @date 2025-01-11 19:41
 */
@Data
@NoArgsConstructor
@AllArgsConstructor
@AutoConfiguration
@ConditionalOnProperty(prefix = "demo.log", value = "enable", matchIfMissing = true)
@ConfigurationProperties(prefix = "demo.log")
public class LogConfig {

    /**
     * 应用名称
     */
    private String appName = "";
    /**
     * 日志前缀
     */
    private String prefix = "";
    /**
     * 排除的路径
     */
    private Set<String> excludes;
    /**
     * 包含的路径
     */
    private Set<String> includes;

}
