package com.liu.demo.controller;

import cn.hutool.core.date.LocalDateTimeUtil;
import lombok.extern.slf4j.Slf4j;
import org.springframework.web.bind.annotation.GetMapping;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RequestParam;
import org.springframework.web.bind.annotation.RestController;

import java.time.LocalDateTime;
import java.util.HashMap;
import java.util.Map;

/**
 * @author gdLiu
 * @date 2025-01-11 20:22
 */
@Slf4j
@RestController
@RequestMapping("/api")
public class TestController {

    @GetMapping("/test1")
    public String test() {
        return "test";
    }

    @GetMapping("/test2")
    public Map<String, Object> test2(@RequestParam String name) {
        Map<String, Object> map = new HashMap<>(16);
        map.put("name", name);
        map.put("time", LocalDateTimeUtil.format(LocalDateTime.now(), "yyyy-MM-dd HH:mm:ss"));
        return map;
    }

    @GetMapping("/test3")
    public String test3() {
        System.out.println(0 / 0);
        return "test3";
    }

}
